## ros-indigo-rtt-std-srvs 2.8.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rtt_std_srvs)

find_package(catkin REQUIRED COMPONENTS rtt_roscomm)

ros_generate_rtt_service_proxies(std_srvs)

orocos_generate_package(
  DEPENDS rosgraph_msgs
  DEPENDS_TARGETS rtt_roscomm rtt_std_msgs
)

=== debian/changelog ===
ros-indigo-rtt-std-srvs (2.8.6-0trusty) trusty; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 14 Nov 2017 23:00:00 -0000

ros-indigo-rtt-std-srvs (2.8.5-0trusty) trusty; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 27 Mar 2017 22:00:00 -0000

ros-indigo-rtt-std-srvs (2.8.4-0trusty) trusty; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Fri, 25 Nov 2016 23:00:00 -0000

ros-indigo-rtt-std-srvs (2.8.3-0trusty) trusty; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 19 Jul 2016 22:00:00 -0000

ros-indigo-rtt-std-srvs (2.8.2-0trusty) trusty; urgency=high

  * see rtt_ros_integratoin/CHANGELOG.rst <../rtt_ros_integration/CHANGELOG.rst>

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Thu, 11 Jun 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-rtt-std-srvs
Section: misc
Priority: extra
Maintainer: Orocos Developers <orocos-dev@lists.mech.kuleuven.be>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-genmsg, ros-indigo-rtt-roscomm, ros-indigo-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-rtt-std-srvs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-genmsg, ros-indigo-rtt-roscomm, ros-indigo-std-srvs
Description: Provides an rtt typekit for ROS std_msgs messages.
 It allows you to use ROS messages transparently in RTT components and applications. This package was automatically generated by the create_rtt_msgs generator and should not be manually modified. See the http://ros.org/wiki/std_msgs documentation for the documentation of the ROS messages in this typekit.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rtt-std-srvs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
